Package com.trilead.ssh2.crypto

# Class Base64

java.lang.Object
com.trilead.ssh2.crypto.Base64

public class Base64 extends Object
Basic Base64 Support.

## Constructor Summary

Constructors
Constructor
Description
`Base64()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`decode(char[] message)`
`static char[]`
`encode(byte[] content)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base64

public Base64()

## Method Details

### encode

public static char[] encode(byte[] content)

### decode

public static byte[] decode(char[] message) throws IOException

Throws:
  `IOException`